Page MenuHomePhabricator

Add class mw-parser-output to Flow comment- or content- containing elements
Closed, ResolvedPublic1 Story Points

Description

This class was added to resolve T37247: content-holding <div> should only contain the page text to fix pending issues with TemplateStyles. For the styles added by TemplateStyles to be applied properly in Flow comments, those comments should be enclosed in an element with class mw-parser-output. Other parts of the Flow page should not be enclosed in this class.

If nothing else, chances are you can add it to the same div that already has class flow-post-content.

This should also be verified to be true when creating a Flow post; T164790: Add class mw-parser-output to VE's editing area may be relevant to that.


In addition to posts, should also include header/description and summary.

Details

Related Gerrit Patches:
mediawiki/extensions/Flow : masterAdd mw-parser-output to summaries and board widget
mediawiki/extensions/Flow : masterAdd mw-parser-output class to flow posts

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedNone
DuplicateNone
OpenNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
ResolvedJdlrobson
DuplicateNone
DuplicateNone
OpenNone
OpenNone
DeclinedNone
InvalidNone
OpenNone
OpenNone
ResolvedTheDJ
ResolvedTheDJ
InvalidNone
OpenNone
ResolvedTheDJ
OpenNone
ResolvedJdlrobson
OpenJdlrobson
OpenJdlrobson
ResolvedTgr
ResolvedEsanders
Resolvedssastry

Event Timeline

Anomie created this task.May 8 2017, 8:12 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptMay 8 2017, 8:12 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mattflaschen-WMF renamed this task from Add class mw-parser-output to Flow comment containing elements to Add class mw-parser-output to Flow comment- or content- containing elements.May 8 2017, 8:28 PM

Should also include header/description and summary.

Parsoid in Beta Labs is now outputting the class, but I'm not seeing it present in https://en.wikipedia.beta.wmflabs.org/wiki/Flow_test_talk:Foo even after adding a new comment just now.

@jmatazzoni TemplateStyles is coming to the beta cluster shortly. Would it be possible to get a patch into Flow along the lines in the Description shortly following it's introduction there?

I can't quite tell whether this task should block rollout to production, but it seems sensible to me that we would typically want to honor editor-provided template styles in case someone transcludes a template which as a corresponding template style in force.

CC @JKatzWMF @Nirzar @Pginer-WMF @Jdforrester-WMF

dr0ptp4kt added a subscriber: Tgr.Jun 7 2017, 8:03 PM

@jmatazzoni TemplateStyles is coming to the beta cluster shortly. Would it be possible to get a patch into Flow along the lines in the Description shortly following it's introduction there?

Sounds good. Pinging @Catrope so he can assign someone.

This may be fine per T164792: Add class mw-parser-output to Parsoid's output, but I just wanted to note that the Flow UI uses the Parsoid DOM for user content. So the TemplateStyles will have to work with both DOMs to the extent they're still different.

Anomie added a comment.Jun 8 2017, 4:08 PM

It's not.

but I just wanted to note that the Flow UI uses the Parsoid DOM for user content. So the TemplateStyles will have to work with both DOMs to the extent they're still different.

The only thing TemplateStyles cares about is that the parser output is wrapped with a class mw-parser-output. Parsoid's output includes that class on the <body> tag since T164792, but it seems Flow doesn't keep the classes from that tag.

This should also be verified to be true when creating a Flow post; T164790: Add class mw-parser-output to VE's editing area may be relevant to that.

The fix to T164790 also fixes the Flow VE instance because it inherits from ve.init.mw.Target.

Change 365656 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Flow@master] Add mw-parser-output class to flow posts

https://gerrit.wikimedia.org/r/365656

Change 365656 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Add mw-parser-output class to flow posts

https://gerrit.wikimedia.org/r/365656

Jdforrester-WMF edited projects, added VisualEditor; removed Patch-For-Review.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

I note https://gerrit.wikimedia.org/r/365656 seems to have missed the Flow page header/description and topic summary fields.

Etonkovidova added a subscriber: Etonkovidova.EditedJul 17 2017, 10:43 PM

@Catrope , @Esanders
Checked in betalabs; as @Anomie commented: "flow-topic-summary-content" and "flow-component flow-board-page mw-content-ltr" do not have "mw-parser-output".

Change 366574 had a related patch set uploaded (by Esanders; owner: Esanders):
[mediawiki/extensions/Flow@master] Add mw-parser-output to summaries and board widget

https://gerrit.wikimedia.org/r/366574

Change 366574 merged by jenkins-bot:
[mediawiki/extensions/Flow@master] Add mw-parser-output to summaries and board widget

https://gerrit.wikimedia.org/r/366574

Checked in betalabs mw-parser-output is added:

<div class="flow-ui-boardDescriptionWidget-content mw-parser-output"

<div class="flow-topic-summary-content mw-parser-output">

Etonkovidova closed this task as Resolved.Jul 20 2017, 10:59 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 20 2017, 10:59 PM
ggellerman moved this task from Up next to Done on the TemplateStyles board.Nov 21 2017, 7:15 PM